# Retrieve user information by id Endpoint: GET /users/{id} Version: 2.51.0 Security: OAuth2 ## Path parameters: - `id` (string, required) Example: "6295dcd39db1ab740c3e296c" ## Response 200 fields (application/json): - `id` (string, required) Example: "660572bc7a3cd6803f112252" - `email` (string, required) Example: "firstname.lastname@company.inc" - `name` (string, required) Example: "Firstname Lastname" - `companiesAccess` (array, required) - `companiesAccess.companyId` (string, required) Example: "660572bc7a3cd6803f112252" - `companiesAccess.companyName` (string, required) Example: "Company Inc." - `companiesAccess.active` (boolean, required) Example: true - `companiesAccess.createdAt` (string, required) Example: "2023-03-28T15:46:19.384990Z" - `companiesAccess.roles` (array, required) Enum: "installationAdmin", "installationClerk", "admin", "clerk", "manager", "supportSpecialist" - `isInternal` (boolean, required) ## Response 401 fields (application/json): - `detail` (string, required) A human readable explanation of the error. - `status` (integer, required) The HTTP status code. - `title` (string, required) A short summary of the error ## Response 403 fields (application/json): - `detail` (string, required) A human readable explanation of the error. - `status` (integer, required) The HTTP status code. - `title` (string, required) A short summary of the error ## Response 404 fields (application/json): - `detail` (string, required) A human readable explanation of the error. - `status` (integer, required) The HTTP status code. - `title` (string, required) A short summary of the error ## Response 500 fields (application/json): - `detail` (string, required) A human readable explanation of the error. - `status` (integer, required) The HTTP status code. - `title` (string, required) A short summary of the error